Name:          python-zope-component
Version:       6.0
Release:       2mamba
Summary:       Zope Component Architecture
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/zopefoundation/zope.component
Source:        https://pypi.debian.net/zope.component/zope.component-%{version}.tar.gz
License:       Zope Public License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
BuildRequires: python3.11dist(zope.event)
BuildRequires: python3.11dist(zope.hookable)
BuildRequires: python3.11dist(zope.interface)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n zope.component-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/zope.component-%{version}-py*.egg-info
%{python_sitearch}/zope.component-%{version}-py*.egg-info/*

%changelog
* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 6.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Apr 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0-1mamba
- update to 6.0

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.0-2mamba
- rebuilt with distdeps

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Sat Jul 04 2020 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.1-2mamba
- add requirements in py3* packages

* Mon Mar 23 2020 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Fri Nov 15 2019 Automatic Build System <autodist@mambasoft.it> 4.6-1mamba
- automatic version update by autodist

* Sat Feb 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5-2mamba
- added new python-zope- components

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 4.5-1mamba
- automatic version update by autodist

* Fri Sep 29 2017 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Thu Aug 17 2017 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-2mamba
- require python-zope-interface and python-zope-event

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- package created using the webbuild interface
